@extends('template.'.config('settings.template').'.content.master')
@section('content')


    <div class="container" style="margin-top: 80px;">

        <div class="row">


            <div class="col-12">
                <h1 class="mb-5">{{$content->title}}</h1>

            </div>



            <div class="col-12 col-md-9">





                <div style="position: relative">
                    @if ($content->image)
                        <img class="rounded-top img-fluid" src="{{ asset($content->image) }}" loading="lazy" >
                    @else
                        <img class="rounded-top img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy" width="100%">
                    @endif



                </div>


                <br>
                <br>
                <br>


                <a href="{{ route('author.get', [$content->user->slug]) }}" class="text-decoration-none mt-2">
                    <img src="{{ $content->user->gravatar() }}" width="20px" title="{{ $content->user->name }}" class="border rounded img-fluid shadow-sm" alt="Logo {{ $content->user->name }} ">
                    {{ $content->user->name }}
                </a>
                <p class="fs-5 mt-5">

                    {!! isset($content->data_fields['short_description'])?$content->data_fields['short_description']:'keine Angaben' !!}
                </p>


                @isset($content->data_fields['extensive_description'])
                   <h2 class="fs-4 mt-5">Features</h2>

                        <p class="fs-5">
                        {{$content->data_fields['extensive_description']}}
                        </p>
                @endisset


                    <div class="d-none">
                        <h2 class="fs-4 mt-5">Screenshots</h2>

                        <div class="row">
                            <div class="col-4 mb-3">
                                <img class="rounded img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">

                            </div>
                            <div class="col-4 mb-3">
                                <img class="rounded img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">

                            </div>
                            <div class="col-4 mb-3">
                                <img class="rounded img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">

                            </div>

                            <div class="col-4 mb-3">
                                <img class="rounded img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">

                            </div>

                            <div class="col-4 mb-3">
                                <img class="rounded img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">

                            </div>

                        </div>
                    </div>




            </div>

            <div class="col-12 col-md-3">

                <div class="bg-ci rounded p-3 border-ci">

                    <!--
                    Lumino Version: <a href="">3.2</a>
                    <br>
                    Lisence: <a href="">2.93</a>
                    <br>
                    Latest Version: <a href="">2.93</a>
                    <br>
                    Price: <i>free</i>-->

                    <a  class="btn btn-primary d-block mt-4 btn-lg" data-bs-toggle="modal" data-bs-target="#exampleModal">

                        <svg style="fill: currentColor; width: 24px; margin-right: 5px;" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 640 512"><path d="M543.7 200.1C539.7 142.1 491.4 96 432 96c-7.6 0-15.1.8-22.4 2.3C377.7 58.3 328.1 32 272 32c-84.6 0-155.5 59.7-172.3 139.8C39.9 196.1 0 254.4 0 320c0 88.4 71.6 160 160 160h336c79.5 0 144-64.5 144-144 0-61.8-39.2-115.8-96.3-135.9zM496 432H160c-61.9 0-112-50.1-112-112 0-56.4 41.7-103.1 96-110.9V208c0-70.7 57.3-128 128-128 53.5 0 99.3 32.8 118.4 79.4 11.2-9.6 25.7-15.4 41.6-15.4 35.3 0 64 28.7 64 64 0 11.8-3.2 22.9-8.8 32.4 2.9-.3 5.9-.4 8.8-.4 53 0 96 43 96 96s-43 96-96 96zM387 256h-67v-84c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v84h-67c-10.7 0-16 12.9-8.5 20.5l99 99c4.7 4.7 12.3 4.7 17 0l99-99c7.6-7.6 2.2-20.5-8.5-20.5z"/></svg>
                        Install this Theme
                    </a>
                </div>


            </div>

            <div class="col-12">
                <br>
                <br>
                <br>
                <br>
                <br>
                <hr>

                <br>
                <br>
                <br>
                <h2>Other Themes</h2>
                <br>
                <br>


            </div>

            <div class="row">
                @foreach($contents as $indexContent => $content)
                    <div class="col-12 col-md-6 col-lg-4 mb-5">
                        <a href="{{ route_content($content) }}" class="text-decoration-none text-dark">
                            <div class="card shadow-lg">

                                @if ($content->image)
                                    <img class="rounded-top img-fluid" src="{{ asset('uploads/' . $content->image) }}" loading="lazy">
                                @else
                                    <img class="rounded-top img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">
                                @endif

                                <div class="card-body">
                                    <h2 class="fs-5">{{$content->title}}</h2>
                                    <a href="{{ route('author.get', [$content->user->slug]) }}" class="text-decoration-none">
                                        <img src="{{ $content->user->gravatar() }}" width="20px" title="{{ $content->user->name }}" class="border rounded img-fluid shadow-sm" alt="Logo {{ $content->user->name }} ">
                                        {{ $content->user->name }}
                                    </a>
                                    <p>
                                        <br>
                                        Public Showcase of Lumino Themes. You can browse, compare the templates and install them into your own Lumino Installation.</p>


                                </div>

                            </div>

                        </a>


                    </div>

                @endforeach
            </div>




        </div>
    </div>





    <!-- Modal -->
    <div class="modal fade" id="exampleModal" data-bs-backdrop="static" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Install Theme</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">

                    <br>


                    @isset($content->data_fields['git_location'])
                        <div class="input-group input-group-lg">
                            <input type="text" id="inputPassword5" class="form-control border-ci rounded" aria-describedby="passwordHelpBlock" readonly value="{{$content->data_fields['git_location']}}">
                            <div id="passwordHelpBlock" class="form-text">
                                <br>
                                Use this link to install the chosen theme into your own Lumino installation. Make sure the Theme is compatible with your Lumino Version.
                            </div>
                        </div>
                    @endisset






                    <br>
                    <br>
                    <br>
                    <h5>Instructions</h5>

                    <br>

                    <img src="https://i.gifer.com/XG0z.gif" class="img-fluid" width="100%" loading="lazy">



                </div>

            </div>
        </div>
    </div>

@stop



